Subject: [sup-talk] message add speedup

From: [email-masked] (William Morgan)
Date: Sun, 26 Apr 2009 17:07:36 -0700

I've merged a branch 'scanning-speedup' into next that doubles the speed
of adding messages to the index. There was a lot of time wasted in
parsing the email headers, which I fixed, and I tweaked a couple other
things. Various other operations that load data from the message source,
like viewing a message thread, should now be slightly faster.

I'm able to index around 70 messages/s on my home computer, which is
still slow, but hey, twice as fast as 35. Time is split about 50/50
between scanning/parsing and Ferret index writing. Sadly, Ruby has a
GIL, so I don't think threading these two operations will buy very much.
(Though there might be complicated ways of getting around that.)
-- 
William <wmorgan-sup at masanjin.net>